> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 ClickPipe 设置

> **此端点为 Beta 版本。** API 契约已稳定，预计未来不会出现任何破坏性变更。<br /><br />返回指定 ClickPipe 的高级设置。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings:
    get:
      tags:
        - ClickPipes
      summary: 获取 ClickPipe 设置
      description: >-
        **此端点为 Beta 版本。** API 契约已稳定，预计未来不会出现任何破坏性变更。<br /><br />返回指定 ClickPipe
        的高级设置。
      parameters:
        - description: 拥有该 service 的 organization ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 拥有该 ClickPipe 的服务 ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 要获取设置的 ClickPipe ID。
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipeSettingsGetResponse'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，服务器无法或不会处理该请求。
components:
  schemas:
    ClickPipeSettingsGetResponse:
      properties:
        clickhouse_max_download_threads:
          description: 最大下载线程数。最大并发下载线程数。
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 最大插入线程数。最大并发插入线程数。
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 最大线程数。文件处理的最大并发线程数。
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 最小插入块大小（字节）。插入时数据块的最小大小（以字节为单位）。
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: 并行分布式 insert select。并行分布式 insert select 设置。
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: 并行视图处理。是否启用并发推送到已附加视图，而不是按顺序推送。
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: 对象存储并发数。并发文件处理线程数。
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 最大文件数。单个插入批次中处理的最大文件数。
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 最大插入字节数。单个插入批次中处理的字节数。
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: 对象存储轮询时间间隔。配置连续摄取查询新对象存储数据的刷新间隔。
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: 使用 cluster 函数。是否使用 ClickHouse cluster 函数进行分布式处理。
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: 流式最大插入等待时间。配置将数据插入 ClickHouse 之前的最长等待时间。
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````